Get Job

get https://app.mk.io/api/v1/projects/:project_name/media/transforms/:transform_name/jobs/:job_name

Get a Job by name.

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_name string Required
transform_name string Required
job_name string Required

Response

200 A single Job.
idstringOptional
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
namestringOptional1-260 characterspattern: ^[^\^\'<>%&:\\?/*+]+$
The name of the resource
propertiesobjectJobPropertiesRequired
Properties of the job
Show 11 propertiesHide 11 properties
correlationDatamap from strings to anyOptional
Customer provided key, value pairs that will be returned in Job and JobOutput state events.
Show value schemaHide value schema
[any key]any
createdstringOptionalformat: date-time
The creation date and time of the Job. Set by the system.
descriptionstring or nullOptional<=1024 characters
The description of the Job.
endTimestring or nullOptional
The UTC date and time at which this Job finished processing
inputobjectRequired
The inputs of the Job.
Show 2 variantsHide 2 variants

Discriminated by @odata.type. Select one variant:

#Microsoft.Media.JobInputAssetobjectJobInputAsset
@odata.typestringRequired
The discriminator for derived types.
assetNamestringRequired
The name of the input Asset
endobjectOptional
Defines a point on the timeline of the input media at which processing will end. Defaults to the end of the input media.
Show 2 variantsHide 2 variants

Discriminated by @odata.type. Select one variant:

#Microsoft.Media.AbsoluteClipTimeobjectAbsoluteClipTime
@odata.typestringRequired
The discriminator for derived types.
timestringOptionalpattern: ^P(?:(?P<years>\d+)Y)?(?:(?P<months>\d+)M)?(?:(?P<weeks>\d+)W)?(?:(?P<days>\d+)D)?T(?:(?P<hours>\d+)H)?(?:(?P<minutes>\d+)M)?(?:(?P<seconds_fract>(?:\d*.)?\d+)S)?$
The time position on the timeline of the input media. Specified as an ISO8601 period. e.g PT30S for 30 seconds.
#Microsoft.Media.UtcClipTimeobjectUtcClipTime
@odata.typestringRequired
The discriminator for derived types.
timestringOptionalformat: date-time
The time position on the timeline of the input media based on UTC time.
triggerobjectScteTriggerOptional
SCTE-35 signal trigger. Recording starts/stops at the first matching signal.
Show 3 propertiesHide 3 properties
filterslist of list of mapssOptional
Outer array is OR-combined; each inner array is AND-combined field matchers.
Show value schemaHide value schema
[any key]any
searchRangeobjectScteTriggerSearchRangeOptional
Bounds the signal search to [anchor+startOffset, anchor+endOffset]. Anchor is time if present, else dispatch_time (start) or resolved_start (end).
Show 2 propertiesHide 2 properties
endOffsetstringRequired
Closes the signal-search window relative to the anchor (ISO 8601 Duration, e.g. "PT2M").
startOffsetstringRequired
Opens the signal-search window relative to the anchor (ISO 8601 Duration; negative allowed, e.g. "-PT5M").
signalTypeenumRequired
Signal type.
Allowed values:SCTE35
fileslist of stringsOptional
List of files.
labelstringOptional
A label that is assigned to a JobInputClip
startobjectOptional
Defines a point on the timeline of the input media at which processing will start. Defaults to the beginning of the input media.
Show 2 variantsHide 2 variants

Discriminated by @odata.type. Select one variant:

#Microsoft.Media.AbsoluteClipTimeobjectAbsoluteClipTime
@odata.typestringRequired
The discriminator for derived types.
timestringOptionalpattern: ^P(?:(?P<years>\d+)Y)?(?:(?P<months>\d+)M)?(?:(?P<weeks>\d+)W)?(?:(?P<days>\d+)D)?T(?:(?P<hours>\d+)H)?(?:(?P<minutes>\d+)M)?(?:(?P<seconds_fract>(?:\d*.)?\d+)S)?$
The time position on the timeline of the input media. Specified as an ISO8601 period. e.g PT30S for 30 seconds.
#Microsoft.Media.UtcClipTimeobjectUtcClipTime
@odata.typestringRequired
The discriminator for derived types.
timestringOptionalformat: date-time
The time position on the timeline of the input media based on UTC time.
triggerobjectScteTriggerOptional
SCTE-35 signal trigger. Recording starts/stops at the first matching signal.
Show 3 propertiesHide 3 properties
filterslist of list of mapssOptional
Outer array is OR-combined; each inner array is AND-combined field matchers.
Show value schemaHide value schema
[any key]any
searchRangeobjectScteTriggerSearchRangeOptional
Bounds the signal search to [anchor+startOffset, anchor+endOffset]. Anchor is time if present, else dispatch_time (start) or resolved_start (end).
Show 2 propertiesHide 2 properties
endOffsetstringRequired
Closes the signal-search window relative to the anchor (ISO 8601 Duration, e.g. "PT2M").
startOffsetstringRequired
Opens the signal-search window relative to the anchor (ISO 8601 Duration; negative allowed, e.g. "-PT5M").
signalTypeenumRequired
Signal type.
Allowed values:SCTE35
#Microsoft.Media.JobInputHttpobjectJobInputHttp
@odata.typestringRequired
The discriminator for derived types.
baseUristringOptional
Base URI for HTTPS job input. It will be concatenated with provided file names. If no base uri is given, then the provided file list is assumed to be fully qualified uris.
endobjectOptional
(NOT IMPLEMENTED) Defines a point on the timeline of the input media at which processing will end. Defaults to the end of the input media.
Show 2 variantsHide 2 variants

Discriminated by @odata.type. Select one variant:

#Microsoft.Media.AbsoluteClipTimeobjectAbsoluteClipTime
@odata.typestringRequired
The discriminator for derived types.
timestringOptionalpattern: ^P(?:(?P<years>\d+)Y)?(?:(?P<months>\d+)M)?(?:(?P<weeks>\d+)W)?(?:(?P<days>\d+)D)?T(?:(?P<hours>\d+)H)?(?:(?P<minutes>\d+)M)?(?:(?P<seconds_fract>(?:\d*.)?\d+)S)?$
The time position on the timeline of the input media. Specified as an ISO8601 period. e.g PT30S for 30 seconds.
#Microsoft.Media.UtcClipTimeobjectUtcClipTime
@odata.typestringRequired
The discriminator for derived types.
timestringOptionalformat: date-time
The time position on the timeline of the input media based on UTC time.
triggerobjectScteTriggerOptional
SCTE-35 signal trigger. Recording starts/stops at the first matching signal.
Show 3 propertiesHide 3 properties
filterslist of list of mapssOptional
Outer array is OR-combined; each inner array is AND-combined field matchers.
Show value schemaHide value schema
[any key]any
searchRangeobjectScteTriggerSearchRangeOptional
Bounds the signal search to [anchor+startOffset, anchor+endOffset]. Anchor is time if present, else dispatch_time (start) or resolved_start (end).
Show 2 propertiesHide 2 properties
endOffsetstringRequired
Closes the signal-search window relative to the anchor (ISO 8601 Duration, e.g. "PT2M").
startOffsetstringRequired
Opens the signal-search window relative to the anchor (ISO 8601 Duration; negative allowed, e.g. "-PT5M").
signalTypeenumRequired
Signal type.
Allowed values:SCTE35
fileslist of stringsRequired
List of files. Required for JobInputHttp.
labelstringOptional
A label that is assigned to a JobInputClip
startobjectOptional
(NOT IMPLEMENTED) Defines a point on the timeline of the input media at which processing will start. Defaults to the beginning of the input media.
Show 2 variantsHide 2 variants

Discriminated by @odata.type. Select one variant:

#Microsoft.Media.AbsoluteClipTimeobjectAbsoluteClipTime
@odata.typestringRequired
The discriminator for derived types.
timestringOptionalpattern: ^P(?:(?P<years>\d+)Y)?(?:(?P<months>\d+)M)?(?:(?P<weeks>\d+)W)?(?:(?P<days>\d+)D)?T(?:(?P<hours>\d+)H)?(?:(?P<minutes>\d+)M)?(?:(?P<seconds_fract>(?:\d*.)?\d+)S)?$
The time position on the timeline of the input media. Specified as an ISO8601 period. e.g PT30S for 30 seconds.
#Microsoft.Media.UtcClipTimeobjectUtcClipTime
@odata.typestringRequired
The discriminator for derived types.
timestringOptionalformat: date-time
The time position on the timeline of the input media based on UTC time.
triggerobjectScteTriggerOptional
SCTE-35 signal trigger. Recording starts/stops at the first matching signal.
Show 3 propertiesHide 3 properties
filterslist of list of mapssOptional
Outer array is OR-combined; each inner array is AND-combined field matchers.
Show value schemaHide value schema
[any key]any
searchRangeobjectScteTriggerSearchRangeOptional
Bounds the signal search to [anchor+startOffset, anchor+endOffset]. Anchor is time if present, else dispatch_time (start) or resolved_start (end).
Show 2 propertiesHide 2 properties
endOffsetstringRequired
Closes the signal-search window relative to the anchor (ISO 8601 Duration, e.g. "PT2M").
startOffsetstringRequired
Opens the signal-search window relative to the anchor (ISO 8601 Duration; negative allowed, e.g. "-PT5M").
signalTypeenumRequired
Signal type.
Allowed values:SCTE35
lastModifiedstringOptionalformat: date-time
The last modified date and time of the Job. Set by the system.
outputslist of objectsRequired
The outputs for the Job.
Show 1 variantHide 1 variant

Discriminated by @odata.type. Select one variant:

#Microsoft.Media.JobOutputAssetobjectJobOutputAsset
@odata.typestringRequired
The discriminator for derived types.
assetNamestringRequired
The name of the output Asset
endTimestring or nullOptional
The UTC date and time at which this Output finished processing.
errorobjectJobErrorOptional
Details of the Job Output if it is in error state.
Show 4 propertiesHide 4 properties
categoryenumOptional
Allowed values:AccountConfigurationContentDownloadServiceUpload
codeenumOptional
Allowed values:ConfigurationUnsupportedContentMalformedContentUnsupportedDownloadNotAccessibleDownloadTransientErrorIdentityUnsupportedServiceErrorServiceTransientErrorUploadNotAccessibleUploadTransientError
messagestringOptional
retryenumOptional
Allowed values:DoNotRetryMayRetry
labelstringOptional
A label that is assigned to a JobOutput in order to help uniquely identify it.
progressinteger or nullOptionalDefaults to 0
If the JobOutput is in a Processing state, this contains the Job completion percentage. The value is an estimate and not intended to be used to predict Job completion times.
startTimestring or nullOptional
The UTC date and time at which this Output began processing.
stateenum or nullOptionalDefaults to Queued
The current state of the job.
Allowed values:CanceledCancelingErrorFinishedProcessingQueuedScheduled
priorityenumOptionalDefaults to Normal
Priority with which the job should be processed. Higher priority jobs are processed before lower priority jobs. If not set, the default is normal.
Allowed values:HighLowNormal
recordingobject or nullJobRecordingOptional
Recording status. Present only for recording jobs.
Show 6 propertiesHide 6 properties
actualEndTimestring or nullOptional
The content range actually captured — end.
actualStartTimestring or nullOptional
The content range actually captured — start.
detailsstring or nullOptional
Error details; empty otherwise.
stateenumOptional
Current recording lifecycle state.
Allowed values:ScheduledWaitingInProgressCompletedError
targetEndTimestring or nullOptional
The boundary the pod is currently targeting for clip end.
targetStartTimestring or nullOptional
The boundary the pod is currently targeting for clip start.
startTimestring or nullOptionalformat: date-time
The UTC date and time at which this Job started processing
stateenumOptionalDefaults to Queued
The current state of the job.
Allowed values:CanceledCancelingErrorFinishedProcessingQueuedScheduled
systemDataobjectSystemDataSchemaOptional
Metadata pertaining to creation and last modification of the resource.
Show 7 propertiesHide 7 properties
createdAtstringRequiredformat: date-time
The timestamp of resource creation (UTC).
createdBystringRequired
The identity that created the resource.
createdByTypeenumRequired
The type of identity that created the resource.
Allowed values:UserApplicationManagedIdentityKey
internalIdstringRequiredformat: uuid
The internal ID of the resource.
lastModifiedAtstringRequiredformat: date-time
The timestamp of resource last modification (UTC).
lastModifiedBystringRequired
The identity that last modified the resource.
lastModifiedByTypeenumRequired
The type of identity that last modified the resource.
Allowed values:UserApplicationManagedIdentityKey
typestringOptional
The type of the resource. E.g. "Microsoft.Media/mediaservices/assets"

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code